# Serveur Wazuh All in One et machine wazuh-agent debian 12 

## Présentation

Cette `Vagrantfile` permet d'installer :
  * un serveur Wazuh **wazuh** All-In-One ( indexer + manager + Dashboard) - Ubuntu 24.04
  * un serveur Linux  **wazuh-cli** ( wazuh-agent ) - Debian 12.9

La Vagrantfile utilise les playbooks ansible suivants :
  * **provision/setup-wazuh.yml** qui:
    * recupère le script **wazuh-install.sh** et le lance 
  * **provision/setup-wazuh-cli.yml** qui:
    * installe les dépots pour wazuh
    * installe les paquets **wazuh-agent**, 
    * installe les dépots ISC pour stork
    * installe le paquet **stork-agent**
    * genére les fichiers de configuration pour chacun des services
    * relance les services
    * enregistre (`stork-agent register`) le serveur auprès du serveur stork 

## Les services et ports 
  * serveur **stork** : 
    * service **stork-server:8080** 
  * serveur **kea1** et **kea2** : 
    * service **isc-kea-dhcp4-server:8000** (utilisé par la HA)
    * service **kea-ctrl-agent:8001**
    * service **isc-stork-agent:8080**

## Utilisation de la Vagrantfile
  
````shell
   vagrant up wazuh
   vagrant up wazuh-cli
```` 
On peut alors se connecter au serveur **wazuh** avec un navigateur : http://adresse
(admin/mdp)

Une fois connecté, on doit autoriser chacun des deux serveurs **kea1** et **kea2** inscrits



